<div class="compare-dialog" mat-dialog-content>
    <div *ngIf="status=='unsubmitted'">
        <mat-form-field appearance="fill" [formGroup]="compExpNameForm" style="width: 100%;">
            <mat-label>Comparison-Experiment Name</mat-label>
            <input type="text" formControlName="comparisonExperimentName" matInput>
            <mat-error
                *ngIf="compExpNameForm.get('comparisonExperimentName').errors && compExpNameForm.get('comparisonExperimentName').touched">
                {{getNameErrorMessage()}}
            </mat-error>
        </mat-form-field>
        <section style="margin-top:10px;">
            <div class="input-group mb-1">
                <div class="input-group-prepend">
                    <span class="input-group-text">Experiments</span>
                </div>
                <mat-select class="form-control custom-select" [formControl]="experimentsForm"
                    placeholder="select experiments to compare" multiple>
                    <mat-option *ngFor="let option of availableExperimentsNames" [value]="option" [disabled]="option == this.data.expName ? true : false"
                        >{{option}}</mat-option>
                </mat-select>
            </div>
        </section>
        <div style="display:flex; flex-direction:row;">
            <button class="btn btn-primary rki-blue-bg" (click)="submitCompareExperiments()"
                [disabled]='submitDisabled'>Submit</button>
            <div class="filler"></div>
            <button class="btn float-right btn-danger" (click)="closeDialog()">Cancel</button>
        </div>
    </div>

    <div *ngIf="status=='loading'">
        <mat-spinner style="margin:auto; transform: translateY(50%);"></mat-spinner>
    </div>

    <div style="display: grid; grid-template-rows: 4fr 1fr; ">
        <div *ngIf="status=='success'">
                <h2>SUCCESS</h2>
        </div>
        <div *ngIf="status=='failed'">
            <h2>ERROR</h2>
            <h3>{{this.errorMessage}}</h3>
        </div>
        <div style="display:flex; flex-direction: row;" *ngIf="status=='failed'">
            <button class="btn btn-primary rki-blue-bg" (click)="initializeDefaults()">Back</button>
            <div class="filler"></div>
            <button class="btn float-right btn-danger" (click)="closeDialog()">Close</button>
        </div>
        <div style="display:flex; flex-direction: row;" *ngIf="status=='success'">
            <div class="filler"></div>
            <button class="btn float-right btn-danger" (click)="closeDialog()">Close</button>
        </div>
    </div>
</div>